<template lang="html">
<div class="container">
	<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
  </div>
  <br>
		<div>
			<form class="row" @submit="onSubmit">
				<div class="col-md-6">
					<label class="form-control">Id Trayecto</label>
					<input type="text" class="form-control" v-model.trim="form.id_trayecto">
				</div>
				<div class="col-md-6">
					<label class="form-control">Bus</label>
					<select value ="Seleccione" v-model="form.bus">
					   <option v-for="item in buses">{{ item.id_bus }}</option>
					</select>
				</div>
				<div class="col-md-6">
					<label class="form-control">Chofer</label>					
					<select value ="Seleccione" v-model.trim="form.chofer">
					   <option v-for="item in chofer">{{ item.rut_chofer }}</option>
					</select>
				</div>
				<div class="col-md-6">
					<label class="form-control">Origen</label>
					<select v-on:change="errorOrigenDestino" value ="Seleccione" v-model.trim="form.origen">
					   <option v-for="item in origen">{{ item.nombre }}</option>
					</select>					
				</div>
				<div class="col-md-6">
					<label class="form-control">Destino</label>
					<select v-on:change="errorOrigenDestino" value ="Seleccione" v-model.trim="form.destino">
					   <option v-for="item in destino">{{ item.nombre }}</option>
					</select>
				</div>
				<div class="col-md-6">
					<label class="form-control">Pasajeros</label>
					<select multiple v-model.trim="form.pasajeros">
					   <option v-for="item in pasajeros">{{ item.rut_pasajero }}</option>
					</select>
				</div>
				<div class="col-md-12">
					<button class="btn btn-warning" type="submit">Nuevo</button>
					<button class="btn btn-danger" v-on:click="volver">Volver</button>
				</div>
			</form>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        form   : {
		        	id_trayecto : '',
					bus : null,
					chofer : null,
					origen : null,
					destino : null,
					estado : 'PENDIENTE',
					pasajeros : []
		        },
		        origen   : [
		        	{nombre : 'SANTIAGO'},
					{nombre : 'VIÑA DEL MAR'},
					{nombre : 'VALDIVIA'}
		        ],
		        destino   : [
		        	{nombre : 'SANTIAGO'},
					{nombre : 'VIÑA DEL MAR'},
					{nombre : 'VALDIVIA'}
		        ],
		        buses   : {
		        },
		        chofer   : {
		        },
		        pasajeros : {

		        },
			}
		},
		methods: {
			onSubmit(e){
				e.preventDefault()

				const path = `http://localhost:8000/trayecto/trayecto/`
				axios.post(path,this.form).then((response) => {
					this.form.id_trayecto = response.data.id_trayecto
					this.form.bus = response.data.bus
					this.form.chofer = response.data.chofer
					this.form.origen = response.data.origen
					this.form.destino = response.data.destino							
					this.form.pasajeros = response.data.pasajeros
				alert("Trayecto creado correctamente")
				})
				.catch((error) => {console.log(error);alert("Error al crear trayecto. Revise el formulario.")})		
			},
			volver(){
				location.href = '/trayecto'			
			},
			getBus(){
				const path = 'http://localhost:8000/buses/bus/'
				axios.get(path).then((response) => {
					this.buses = response.data
				})
				.catch((error) => {console.log(error)})
			},
			getChofer(){
				const path = 'http://localhost:8000/usuarios/chofer/'
				axios.get(path).then((response) => {
					this.chofer = response.data
				})
				.catch((error) => {console.log("error ==>"+error)})
			},
			getPasajeros(){
				const path = 'http://localhost:8000/usuarios/pasajero/'
				axios.get(path).then((response) => {
					this.pasajeros = response.data
				})
				.catch((error) => {console.log("error ==>"+error)})
			},
			errorOrigenDestino(){
				if (this.form.origen.value != '' && this.form.destino.value != '') {
					if (this.form.origen == this.form.destino) {
						alert("Ciudad de Origen no puede ser igual a Destino");
					}
				}
			},
			gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
				location.href = '/bus'			
			},
		},
		created(){
			this.getBus()
			this.getChofer()
			this.getPasajeros()
			this.errorOrigenDestino()
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}
	}
</script>

<style lang="css" scoped>
</style>